POST api/NurseTriage/SavePayors
Request Information
URI Parameters
None.
Body Parameters
EccPayorDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
None. |
|
| Address | string |
String length: inclusive between 0 and 60 |
|
| Suite | string |
String length: inclusive between 0 and 50 |
|
| City | string |
String length: inclusive between 0 and 30 |
|
| State | string |
String length: inclusive between 0 and 2 |
|
| Zip | string |
String length: inclusive between 0 and 10 |
|
| Phone | string |
String length: inclusive between 0 and 20 |
|
| Fax | string |
String length: inclusive between 0 and 20 |
|
| string |
String length: inclusive between 0 and 200 |
||
| Website | string |
String length: inclusive between 0 and 200 |
|
| Notes | string |
String length: inclusive between 0 and 5000 |
|
| PayorServiceTypeId | Collection of integer |
None. |
|
| PayorId | string |
String length: inclusive between 0 and 50 |
|
| TpaId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"Name": "sample string 2",
"Address": "sample string 3",
"Suite": "sample string 4",
"City": "sample string 5",
"State": "sample string 6",
"Zip": "sample string 7",
"Phone": "sample string 8",
"Fax": "sample string 9",
"Email": "sample string 10",
"Website": "sample string 11",
"Notes": "sample string 12",
"PayorServiceTypeId": [
1,
2
],
"PayorId": "sample string 13",
"TpaId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:44.8470094-07:00",
"DateUpdated": "2026-08-04T14:29:44.8470094-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfEccPayorDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | EccPayorDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"Name": "sample string 2",
"Address": "sample string 3",
"Suite": "sample string 4",
"City": "sample string 5",
"State": "sample string 6",
"Zip": "sample string 7",
"Phone": "sample string 8",
"Fax": "sample string 9",
"Email": "sample string 10",
"Website": "sample string 11",
"Notes": "sample string 12",
"PayorServiceTypeId": [
1,
2
],
"PayorId": "sample string 13",
"TpaId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:44.8626338-07:00",
"DateUpdated": "2026-08-04T14:29:44.8626338-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
},
"totalCount": 3
}